Main Page Widgets Namespaces Book

# Gtk::RcStyle Class Reference

Inheritance diagram for Gtk::RcStyle:

[legend]
List of all members.

## Public Methods

virtual | ~RcStyle ()
GtkRcStyle* | gobj ()
const GtkRcStyle* | gobj () const
GtkRcStyle* | gobj_copy ()

## Static Public Methods

Glib::RefPtr<RcStyle> | create ()

## Protected Methods

| RcStyle ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::RcStyle> | wrap (GtkRcStyle* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::RcStyle::~RcStyle | ( |  | ) | `[virtual]`

Gtk::RcStyle::RcStyle | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<RcStyle> Gtk::RcStyle::create | ( |  | ) | `[static]`

const GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

GtkRcStyle* Gtk::RcStyle::gobj_copy | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::RcStyle> wrap | ( | GtkRcStyle* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- rc.h